Bug 445251 - htop fails into a screen, attched into a tty
htop fails into a screen, attched into a tty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: htop (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Rafał Psota
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 15:11 EDT by Benoît Marcelin
Modified: 2009-12-18 01:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gz of the strace of a htop's execution (15.71 KB, application/x-gzip)
2008-05-05 15:11 EDT, Benoît Marcelin
no flags Details

  None (edit)
Description Benoît Marcelin 2008-05-05 15:11:09 EDT
Description of problem:
htop break when he's executed into a screen, and screen was attached into a tty

Version-Release number of selected component (if applicable):
0.7-1

How reproducible:
Every time

Steps to Reproduce:
1. Open a connection into a tty
2. Open a screen
3. Execute htop
4. Press an arrow, or any other key
  
Actual results:
htop break

Expected results:
htop should does the expected action.

Additional info:
I have attached a strace result file of htop
Comment 1 Benoît Marcelin 2008-05-05 15:11:09 EDT
Created attachment 304549 [details]
gz of the strace of a htop's execution
Comment 2 Bug Zapper 2008-05-14 06:40:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Rafał Psota 2008-08-09 18:41:27 EDT
New version (0.8) is released. Could you check if problem still occurs in this version? It's available in updates-testing and will be available in updates within few days.
Comment 4 Benoît Marcelin 2009-06-09 10:50:24 EDT
The problem is still here.
(htop-0.8.2-1.fc10)

There is another bug : htop exit with error code 1 when I want to enter in the OrderBy menu.
Comment 5 Michal Nowak 2009-06-09 11:19:05 EDT
(In reply to comment #4)
> There is another bug : htop exit with error code 1 when I want to enter in the
> OrderBy menu.  

Benoît: Yes. This is bug 504795.

Rafał: This bug probably needs to be filled upstream.
Comment 6 Bug Zapper 2009-06-09 20:37:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 07:29:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:08:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.